Zum Hauptinhalt springen
POST
/
cms
/
v3
/
blogs
/
authors
/
batch
/
read
Retrieve a batch of Blog Authors
curl --request POST \
  --url https://api.hubapi.com/cms/v3/blogs/authors/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    "<string>"
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "avatar": "<string>",
      "bio": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "displayName": "<string>",
      "email": "<string>",
      "facebook": "<string>",
      "fullName": "<string>",
      "id": "<string>",
      "language": "aa",
      "linkedin": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "translatedFromId": 123,
      "twitter": "<string>",
      "updated": "2023-11-07T05:31:56Z",
      "website": "<string>"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Unterstützte Produkte

Erfordert eines der folgenden Produkte oder höher.
Marketing HubMarketing Hub -Kostenlos
Sales HubSales Hub -Kostenlos
Service HubService Hub -Kostenlos
Content HubContent Hub -Kostenlos

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Abfrageparameter

archived
boolean

Whether to return only results that have been archived.

Body

application/json

Wrapper for providing an array of strings as inputs.

inputs
string[]
erforderlich

Strings to input.

Antwort

successful operation

Response object for batch operations on blog authors.

completedAt
string<date-time>
erforderlich

Time of batch operation completion.

results
object[]
erforderlich

Results of batch operation.

startedAt
string<date-time>
erforderlich

Time of batch operation start.

status
enum<string>
erforderlich

Status of batch operation.

Verfügbare Optionen:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

Links associated with batch operation.

requestedAt
string<date-time>

Time of batch operation request.

Last modified on March 24, 2026